Subject: RE: NFS root mounting of Assabet's filesystem

From: Jeff Sutherland <[email-masked]>
Date: Thu, 6 Jul 2000 16:32:47 -0400

Dan Malek writes:
> I have been requested to create a bootable image for SA like I did
> for the embedded PowerPC port.  This is a compressed image that has
> the initrd attached, and can be flashed into rom.  You just jump to
> the first instruction of the image, it relocates, uncompresses, starts
> the kernel and mounts the ram disk.  If there are some comments about
> this, please let me know.

Hmm, its very very complicated, especially since there is no "standard"
memory map that you can rely on.  Really, you can not relocate the
kernel from the point where the boot loader loaded it without running
into many problems.

Also, the size of the kernel + size of initrd is likely to overflow
the amount of memory available in the first bank of RAM on banked RAM
machines.

About the only thing that can be considered is to relocate the initrd
to some other address, and hope it exists...
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |            http://www.arm.linux.org.uk/            /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

Well, yes it is complicated, and is much more of a bootloading issue than a
kernel or initrd issue.  Our bootloader is able to 'dissect' the image in
ROM and place the various parts (however many there may be) into the
appropriate places in memory (specified in the ROM image), then jump to a
specified starting address (obtained from the ROM image, of course) at the
conclusion of the bootloader's activities.  The kernel image and initrd are
"wrapped" by the download utility that creates the single binary image and
flashes it into memory, either via a serial port, PCMCIA socket, and (just
this week) by an Ethernet connection.

//Jeff

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]

---

From: "Chien-Min Lee" <[email-masked]>
Date: Sat, 08 Jul 2000 13:33:34 +0800 (CST)

Hello:

> After a long struggle I'm happy to report that Nicolas Pitre's latest patch
> has fixed the problem with serial_sa1100.c that was preventing me from NFS
> mounting my Assabet's root filesystem.  (This is in 2.4.0-test2-ac1-rmk2-np3).

   Would you please provide a how-to guide for making NFS root work through
   PCMCIA card service on Assabet??

   If yes, it would be very great.

   Thanks

   kirk

----== Mailed via Openfind ==-----
http://mail2000.com.tw/ ���ѧK�O�� e-mail �H�c�A��

---

From: George France <[email-masked]>
Date: Sat, 8 Jul 2000 11:39:01 -0400

Hello Kirk;

This is an interesting problem. To get PCMCIA working you need the files
from the root file system. The simplest method, is to create a ramdisk with
all of the PCMCIA files that you need to activate your PCMCIA card, then do
the nfsroot mount. It is sort of the chicken or the egg problem.

I have the same item on my todo list. It will just be a week or two before I
get to it.

I hope this helps.

--George

George France,      [email-masked]
Cambridge Research Laboratory, Compaq Computer Corporation
One Cambridgecenter    MS: CRL
Cambridge, MA 02142 USA

-----Original Message-----
From: Chien-Min Lee [mailto:[email-masked]]
Sent: Saturday, July 08, 2000 1:34 AM
To: jsutherland
Cc: linux-arm-kernel; SA1100-linux
Subject: Re: NFS root mounting of Assabet's filesystem

   Thanks

   kirk

----== Mailed via Openfind ==-----
http://mail2000.com.tw/ ´£¨Ñ§K¶Oªº e-mail «H½cªA°È

unsubscribe: body of `unsubscribe linux-arm-kernel' to
[email-masked]